Package org.jbpm.persistence.jpa.hibernate

## Class DisabledFollowOnLockOracle10gDialect

- java.lang.Object
- - org.hibernate.dialect.Dialect
  - - org.hibernate.dialect.Oracle8iDialect
    - - org.hibernate.dialect.Oracle9iDialect
      - - org.hibernate.dialect.Oracle10gDialect
        - - org.jbpm.persistence.jpa.hibernate.DisabledFollowOnLockOracle10gDialect

- All Implemented Interfaces:
    `org.hibernate.exception.spi.ConversionContext`

      public class DisabledFollowOnLockOracle10gDialect
      extends org.hibernate.dialect.Oracle10gDialect

  Customized Oracle10gDialect to avoid race conditions when using select for update with paging.

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.dialect.Dialect

      `CLOSED_QUOTE, DEFAULT_BATCH_SIZE, LEGACY_LOB_MERGE_STRATEGY, NEW_LOCATOR_LOB_MERGE_STRATEGY, NO_BATCH, QUOTE, STANDARD_DEFAULT_BATCH_LOAD_SIZING_STRATEGY, STREAM_XFER_LOB_MERGE_STRATEGY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DisabledFollowOnLockOracle10gDialect()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `useFollowOnLocking()` |

    - ### Methods inherited from class org.hibernate.dialect.Oracle10gDialect

      `createOuterJoinFragment, getCrossJoinSeparator, getForUpdateSkipLockedString, getForUpdateSkipLockedString, getResultSet, getResultSet, getWriteLockString, getWriteLockString, registerResultSetOutParameter, supportsSkipLocked`

    - ### Methods inherited from class org.hibernate.dialect.Oracle9iDialect

      `createCaseFragment, getCurrentTimestampSelectString, getCurrentTimestampSQLFunctionName, getForUpdateString, getLimitHandler, getLimitString, getReadLockString, getSelectClauseNullString, registerCharacterTypeMappings, registerDateTimeTypeMappings, supportsRowValueConstructorSyntaxInInList, supportsTupleDistinctCounts`

    - ### Methods inherited from class org.hibernate.dialect.Oracle8iDialect

      `bindLimitParametersInReverseOrder, buildSQLExceptionConversionDelegate, canCreateSchema, dropConstraints, forceLobAsLastValue, forUpdateOfColumns, getAddColumnString, getBasicSelectClauseNullString, getCallableStatementSupport, getCascadeConstraintsString, getCreateSequenceString, getCreateSequenceString, getCurrentSchemaCommand, getDefaultMultiTableBulkIdStrategy, getDropSequenceString, getForUpdateNowaitString, getForUpdateNowaitString, getForUpdateString, getInExpressionCountLimit, getMaxAliasLength, getNotExpression, getQueryHintString, getQuerySequencesString, getResultSet, getSelectGUIDString, getSelectSequenceNextValString, getSequenceNextValString, getSqlTypeDescriptorOverride, getViolatedConstraintNameExtracter, isCurrentTimestampSelectStringCallable, registerDefaultProperties, registerFunctions, registerLargeObjectTypeMappings, registerNumericTypeMappings, registerResultSetOutParameter, registerReverseHibernateTypeMappings, statementType, supportsCommentOn, supportsCurrentTimestampSelection, supportsEmptyInList, supportsExistsInSelect, supportsLimit, supportsNoWait, supportsPartitionBy, supportsPooledSequences, supportsSequences, supportsUnionAll, useFollowOnLocking, useMaxForLimit`

    - ### Methods inherited from class org.hibernate.dialect.Dialect

      `addSqlHintOrComment, appendLockHint, appendLockHint, applyLocksToSql, areStringComparisonsCaseInsensitive, augmentRecognizedTableTypes, bindLimitParametersFirst, buildIdentifierHelper, buildSQLExceptionConverter, canCreateCatalog, cast, cast, cast, closeQuote, contributeTypes, convertToFirstRowValue, defaultScrollMode, doesReadCommittedCauseWritersToBlockReaders, doesRepeatableReadCauseReadersToBlockWriters, escapeComment, escapeLiteral, forceLimitUsage, getAddColumnSuffixString, getAddForeignKeyConstraintString, getAddForeignKeyConstraintString, getAddPrimaryKeyConstraintString, getAddUniqueConstraintString, getAlterTableString, getAuxiliaryDatabaseObjectExporter, getCaseInsensitiveLike, getCastTypeName, getColumnAliasExtractor, getColumnComment, getCreateCatalogCommand, getCreateMultisetTableString, getCreateSchemaCommand, getCreateSequenceStrings, getCreateSequenceStrings, getCreateTableString, getDefaultBatchLoadSizingStrategy, getDefaultProperties, getDialect, getDialect, getDropCatalogCommand, getDropForeignKeyString, getDropSchemaCommand, getDropSequenceStrings, getDropTableString, getForeignKeyExporter, getForUpdateString, getForUpdateString, getForUpdateString, getFunctions, getHibernateTypeName, getHibernateTypeName, getIdentityColumnSupport, getIndexExporter, getKeywords, getLimitString, getLobMergeStrategy, getLockingStrategy, getLowercaseFunction, getNameQualifierSupport, getNativeIdentifierGeneratorClass, getNativeIdentifierGeneratorStrategy, getNoColumnsInsertString, getNullColumnString, getQueryHintString, getReadLockString, getSchemaNameResolver, getSequenceExporter, getSequenceInformationExtractor, getTableComment, getTableExporter, getTableTypeString, getTypeName, getTypeName, getUniqueDelegate, getUniqueKeyExporter, hasAlterTable, hasSelfReferentialForeignKeyBug, inlineLiteral, isJdbcLogWarningsEnabledByDefault, isLegacyLimitHandlerBehaviorEnabled, isLockTimeoutParameterized, isTypeNameRegistered, openQuote, prependComment, qualifyIndexName, quote, registerColumnType, registerColumnType, registerFunction, registerHibernateType, registerHibernateType, registerKeyword, remapSqlTypeDescriptor, renderOrderByElement, replaceResultVariableInOrderByClauseWithPosition, requiresCastingOfParametersInSelectClause, requiresParensForTupleDistinctCounts, supportsBindAsCallableArgument, supportsCascadeDelete, supportsCaseInsensitiveLike, supportsCircularCascadeDeleteConstraints, supportsColumnCheck, supportsExpectedLobUsagePattern, supportsIfExistsAfterAlterTable, supportsIfExistsAfterConstraintName, supportsIfExistsAfterTableName, supportsIfExistsBeforeConstraintName, supportsIfExistsBeforeTableName, supportsLimitOffset, supportsLobValueChangePropogation, supportsLockTimeouts, supportsNamedParameters, supportsNationalizedTypes, supportsNonQueryWithCTE, supportsNotNullUnique, supportsOuterJoinForUpdate, supportsParametersInInsertSelect, supportsResultSetPositionQueryMethodsOnForwardOnlyCursor, supportsRowValueConstructorSyntax, supportsSubqueryOnMutatingTable, supportsSubselectAsInPredicateLHS, supportsTableCheck, supportsTupleCounts, supportsTuplesInSubqueries, supportsUnboundedLobLocatorMaterialization, supportsUnique, supportsUniqueConstraintInCreateAlterTable, supportsValuesList, supportsVariableLimit, toBooleanValueString, toString, transformSelectString, useInputStreamToInsertBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DisabledFollowOnLockOracle10gDialect

          public DisabledFollowOnLockOracle10gDialect()

  - ### Method Detail

    - #### useFollowOnLocking

          public boolean useFollowOnLocking()

      Overrides:
        `useFollowOnLocking` in class `org.hibernate.dialect.Dialect`